require 'gallus'

include Gallus

Log.configure do |log|
  log.output << Output::Stderr.new(Format::SimpleLog.new)
end

class SamwellTarly
  include Logging
end

class JonSnow
  include Logging
end

t1 = Thread.new do
  Log.current_thread_context { |ctx| ctx[:location] = "Castle Black" }
  SamwellTarly.log.info("I always wanted to be a Wizard", name: "Samwell Tarly")
end

t2 = Thread.new do
  Log.current_thread_context { |ctx| ctx[:location] = "Beyond the Wall" }
  JonSnow.log.info("I know nothing", name: "Jon Snow")
end

t1.join
t2.join
