require 'gallus'

include Gallus

Log.configure do |log|
  log.output << Output::Stderr.new(Format::SimpleLog.new)
end

class SamwellTarly
  include Logging
end

class JonSnow
  include Logging
end

Log.global_context { |ctx| ctx[:location] = "Castle Black" }
SamwellTarly.log.info("I always wanted to be a Wizard", name: "Samwell Tarly")
JonSnow.log.info("I know nothing", name: "Jon Snow")
