require 'gallus'

include Gallus

logger = Log.configure('test') do |log|
  custom_format = -> (event) { "#{event.level} (#{event.payload[:pid]}): #{event.message}" }
  log.output << Output::Stderr.new(custom_format)
end

logger.info('Custom format here...', pid: Process.pid)
