require 'gallus'

include Gallus

logger = Log.configure('test') do |log|
  custom_json_serialization = -> (event) { event.to_json }
  log.output << Output::Stderr.new(Format::SimpleLog.new(custom_json_serialization))
end

logger.info('Context as JSON again, but custom serialization used this time', foo: 1, bar: 'baz')
