require 'gallus'

include Gallus

logger = Log.configure('test') do |log|
  log.level = :DEBUG
  log.output << Output::Stderr.new(Format::SimpleConsole.new)
end

logger.info('This is console output')
logger.warn('Everything else than INFO is being prefixed')
logger.debug('Checking debugs, just in case')
logger.error('And errors too...')
